USE [master]
GO

/****** Object:  Database [VideoClub]    Script Date: 05/18/2011 15:50:02 ******/
CREATE DATABASE [VideoClub] ON  PRIMARY 
( NAME = N'VideoClub', FILENAME = N'c:\Program Files\Microsoft SQL Server\MSSQL10.SQLEXPRESS\MSSQL\DATA\VideoClub.mdf' , SIZE = 3072KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'VideoClub_log', FILENAME = N'c:\Program Files\Microsoft SQL Server\MSSQL10.SQLEXPRESS\MSSQL\DATA\VideoClub_log.ldf' , SIZE = 1024KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO
ALTER DATABASE [VideoClub] SET COMPATIBILITY_LEVEL = 100
GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [VideoClub].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO
ALTER DATABASE [VideoClub] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [VideoClub] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [VideoClub] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [VideoClub] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [VideoClub] SET ARITHABORT OFF 
GO
ALTER DATABASE [VideoClub] SET AUTO_CLOSE OFF 
GO
ALTER DATABASE [VideoClub] SET AUTO_CREATE_STATISTICS ON 
GO
ALTER DATABASE [VideoClub] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [VideoClub] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [VideoClub] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [VideoClub] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [VideoClub] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [VideoClub] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [VideoClub] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [VideoClub] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [VideoClub] SET  DISABLE_BROKER 
GO
ALTER DATABASE [VideoClub] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [VideoClub] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [VideoClub] SET TRUSTWORTHY OFF 
GO
ALTER DATABASE [VideoClub] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO
ALTER DATABASE [VideoClub] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [VideoClub] SET READ_COMMITTED_SNAPSHOT OFF 
GO
ALTER DATABASE [VideoClub] SET HONOR_BROKER_PRIORITY OFF 
GO
ALTER DATABASE [VideoClub] SET  READ_WRITE 
GO
ALTER DATABASE [VideoClub] SET RECOVERY SIMPLE 
GO
ALTER DATABASE [VideoClub] SET  MULTI_USER 
GO
ALTER DATABASE [VideoClub] SET PAGE_VERIFY CHECKSUM  
GO
ALTER DATABASE [VideoClub] SET DB_CHAINING OFF 
GO

USE [VideoClub]
GO

/****** Object:  Table [dbo].[USUARI]    Script Date: 05/03/2011 11:18:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[USUARI](
	[ID_USUARI] [int] IDENTITY(1,1) NOT NULL,
	[CONTRASENYA] [int] NOT NULL,
	[ACTIU] [int] NOT NULL,
	[DATA_ALTA] [date] NOT NULL,
	[DATA_BAIXA] [date] NULL,
	[IS_ADMINISTRADOR] [int] NOT NULL,
	[NOM] [varchar](50) NOT NULL,
	[COGNOM1] [varchar](50) NOT NULL,
	[COGNOM2] [varchar](50) NOT NULL,
	[DNI] [varchar](15) NOT NULL,
	[ADREA] [varchar](200) NOT NULL,
	[POBLACIO] [varchar](100) NOT NULL,
	[CP] [int] NULL,
	[PROVINCIA] [varchar](100) NULL,
	[TELEFON1] [varchar](15) NOT NULL,
	[TELEFON2] [varchar](15) NULL,
 CONSTRAINT [PK_USUARI] PRIMARY KEY CLUSTERED 
(
	[ID_USUARI] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
ALTER TABLE [dbo].[USUARI] ADD  CONSTRAINT [DF_USUARI_ACTIU]  DEFAULT ((1)) FOR [ACTIU]
GO
ALTER TABLE [dbo].[USUARI] ADD  CONSTRAINT [DF_USUARI_DATA_ALTA]  DEFAULT (sysdatetime()) FOR [DATA_ALTA]
GO
ALTER TABLE [dbo].[USUARI] ADD  CONSTRAINT [DF_USUARI_IS_ADMINISTRADOR]  DEFAULT ((0)) FOR [IS_ADMINISTRADOR]
GO

/****** Object:  Table [dbo].[PELLICULA]    Script Date: 05/03/2011 11:15:28 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[PELLICULA](
	[ID_PELLICULA] [int] IDENTITY(1,1) NOT NULL,
	[TITOL] [varchar](100) NOT NULL,
	[DIRECTOR] [varchar](50) NULL,
	[PAIS] [varchar](50) NULL,
	[ANY] [int] NULL,
	[DATA_ESTRENA] [date] NULL,
	[DURACIO] [int] NULL,
	[QUALIFICACIO] [varchar](100) NULL,
	[REPARTIMENT] [varchar](500) NULL,
	[ARGUMENT] [varchar](2000) NULL,
	[CARATULA_FRONTAL] [varchar](100) NULL,
	[CARATULA_POSTERIOR] [varchar](100) NULL,
	[VISIONAT_PREVI] [varchar](100) NULL,
	[ACTIVA] [int] NOT NULL,
	[DATA_ALTA] [date] NOT NULL,
	[DATA_BAIXA] [date] NULL,
 CONSTRAINT [PK_PELLICULA] PRIMARY KEY CLUSTERED 
(
	[ID_PELLICULA] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
ALTER TABLE [dbo].[PELLICULA] ADD  CONSTRAINT [DF_PELLICULA_ACTIVA]  DEFAULT ((1)) FOR [ACTIVA]
GO
ALTER TABLE [dbo].[PELLICULA] ADD  CONSTRAINT [DF_PELLICULA_DATA_ALTA]  DEFAULT (sysdatetime()) FOR [DATA_ALTA]
GO

/****** Object:  Table [dbo].[UNITAT_PELLICULA]    Script Date: 05/03/2011 11:14:53 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[UNITAT_PELLICULA](
	[ID_UNITAT] [int] IDENTITY(1,1) NOT NULL,
	[ID_PELLICULA] [int] NOT NULL,
	[ESTAT] [char](1) NOT NULL,
	[LLOGUER] [int] NOT NULL,
	[VENDA] [int] NOT NULL,
	[PREU_VENDA] [float] NULL,
	[ACTIVA] [int] NOT NULL,
	[DATA_ALTA] [date] NOT NULL,
	[DATA_BAIXA] [date] NULL,
 CONSTRAINT [PK_UNITAT_PELLICULA] PRIMARY KEY CLUSTERED 
(
	[ID_UNITAT] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
ALTER TABLE [dbo].[UNITAT_PELLICULA]  WITH CHECK ADD  CONSTRAINT [FK_UNITAT_PELLICULA_PELLICULA] FOREIGN KEY([ID_PELLICULA])
REFERENCES [dbo].[PELLICULA] ([ID_PELLICULA])
GO
ALTER TABLE [dbo].[UNITAT_PELLICULA] CHECK CONSTRAINT [FK_UNITAT_PELLICULA_PELLICULA]
GO
ALTER TABLE [dbo].[UNITAT_PELLICULA] ADD  CONSTRAINT [DF_UNITAT_PELLICULA_ESTAT]  DEFAULT ('D') FOR [ESTAT]
GO
ALTER TABLE [dbo].[UNITAT_PELLICULA] ADD  CONSTRAINT [DF_UNITAT_PELLICULA_LLOGUER]  DEFAULT ((1)) FOR [LLOGUER]
GO
ALTER TABLE [dbo].[UNITAT_PELLICULA] ADD  CONSTRAINT [DF_UNITAT_PELLICULA_VENDA]  DEFAULT ((0)) FOR [VENDA]
GO
ALTER TABLE [dbo].[UNITAT_PELLICULA] ADD  CONSTRAINT [DF_UNITAT_PELLICULA_ACTIVA]  DEFAULT ((1)) FOR [ACTIVA]
GO
ALTER TABLE [dbo].[UNITAT_PELLICULA] ADD  CONSTRAINT [DF_UNITAT_PELLICULA_DATA_ALTA]  DEFAULT (sysdatetime()) FOR [DATA_ALTA]
GO

/****** Object:  Table [dbo].[RESERVA]    Script Date: 05/03/2011 11:18:04 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[RESERVA](
	[ID_RESERVA] [int] IDENTITY(1,1) NOT NULL,
	[ID_USUARI] [int] NOT NULL,
	[ID_UNITAT] [int] NOT NULL,
	[DATA_RESERVA] [datetime] NOT NULL,
	[ACTIVA] [int] NOT NULL,
	[TIPUS_RESERVA] [int] NOT NULL,
 CONSTRAINT [PK_RESERVA] PRIMARY KEY CLUSTERED 
(
	[ID_RESERVA] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
ALTER TABLE [dbo].[RESERVA]  WITH CHECK ADD  CONSTRAINT [FK_RESERVA_UNITAT_PELLICULA] FOREIGN KEY([ID_UNITAT])
REFERENCES [dbo].[UNITAT_PELLICULA] ([ID_UNITAT])
GO
ALTER TABLE [dbo].[RESERVA] CHECK CONSTRAINT [FK_RESERVA_UNITAT_PELLICULA]
GO
ALTER TABLE [dbo].[RESERVA]  WITH CHECK ADD  CONSTRAINT [FK_RESERVA_USUARI] FOREIGN KEY([ID_USUARI])
REFERENCES [dbo].[USUARI] ([ID_USUARI])
GO
ALTER TABLE [dbo].[RESERVA] CHECK CONSTRAINT [FK_RESERVA_USUARI]
GO
ALTER TABLE [dbo].[RESERVA] ADD  CONSTRAINT [DF_RESERVA_DATA_RESERVA]  DEFAULT (sysdatetime()) FOR [DATA_RESERVA]
GO
ALTER TABLE [dbo].[RESERVA] ADD  CONSTRAINT [DF_RESERVA_ACTIVA]  DEFAULT ((1)) FOR [ACTIVA]
GO

/****** Object:  Table [dbo].[DEVOLUCIO]    Script Date: 05/03/2011 11:13:02 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[DEVOLUCIO](
	[ID_DEVOLUCIO] [int] IDENTITY(1,1) NOT NULL,
	[PREU_LLOGUER] [float] NOT NULL,
	[DATA_DEVOLUCIO] [datetime] NOT NULL,
 CONSTRAINT [PK_DEVOLUCIO] PRIMARY KEY CLUSTERED 
(
	[ID_DEVOLUCIO] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
ALTER TABLE [dbo].[DEVOLUCIO] ADD  CONSTRAINT [DF_DEVOLUCIO_DATA_DEVOLUCIO]  DEFAULT (sysdatetime()) FOR [DATA_DEVOLUCIO]
GO

/****** Object:  Table [dbo].[LLOGUER]    Script Date: 05/03/2011 11:19:02 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[LLOGUER](
	[ID_LLOGUER] [int] IDENTITY(1,1) NOT NULL,
	[ID_USUARI] [int] NOT NULL,
	[ID_UNITAT] [int] NOT NULL,
	[DATA_LLOGUER] [datetime] NOT NULL,
	[ID_DEVOLUCIO] [int] NULL,
 CONSTRAINT [PK_LLOGUER] PRIMARY KEY CLUSTERED 
(
	[ID_LLOGUER] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
ALTER TABLE [dbo].[LLOGUER]  WITH CHECK ADD  CONSTRAINT [FK_LLOGUER_DEVOLUCIO] FOREIGN KEY([ID_DEVOLUCIO])
REFERENCES [dbo].[DEVOLUCIO] ([ID_DEVOLUCIO])
GO
ALTER TABLE [dbo].[LLOGUER] CHECK CONSTRAINT [FK_LLOGUER_DEVOLUCIO]
GO
ALTER TABLE [dbo].[LLOGUER]  WITH CHECK ADD  CONSTRAINT [FK_LLOGUER_UNITAT_PELLICULA] FOREIGN KEY([ID_UNITAT])
REFERENCES [dbo].[UNITAT_PELLICULA] ([ID_UNITAT])
GO
ALTER TABLE [dbo].[LLOGUER] CHECK CONSTRAINT [FK_LLOGUER_UNITAT_PELLICULA]
GO
ALTER TABLE [dbo].[LLOGUER]  WITH CHECK ADD  CONSTRAINT [FK_LLOGUER_USUARI] FOREIGN KEY([ID_USUARI])
REFERENCES [dbo].[USUARI] ([ID_USUARI])
GO
ALTER TABLE [dbo].[LLOGUER] CHECK CONSTRAINT [FK_LLOGUER_USUARI]
GO
ALTER TABLE [dbo].[LLOGUER] ADD  CONSTRAINT [DF_LLOGUER_DATA_LLOGUER]  DEFAULT (sysdatetime()) FOR [DATA_LLOGUER]
GO

/****** Object:  Table [dbo].[VENDA]    Script Date: 05/03/2011 11:24:31 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[VENDA](
	[ID_VENDA] [int] IDENTITY(1,1) NOT NULL,
	[ID_USUARI] [int] NOT NULL,
	[ID_UNITAT] [int] NOT NULL,
	[DATA_VENDA] [datetime] NOT NULL,
 CONSTRAINT [PK_VENDA] PRIMARY KEY CLUSTERED 
(
	[ID_VENDA] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
ALTER TABLE [dbo].[VENDA]  WITH CHECK ADD  CONSTRAINT [FK_VENDA_UNITAT_PELLICULA] FOREIGN KEY([ID_UNITAT])
REFERENCES [dbo].[UNITAT_PELLICULA] ([ID_UNITAT])
GO
ALTER TABLE [dbo].[VENDA] CHECK CONSTRAINT [FK_VENDA_UNITAT_PELLICULA]
GO
ALTER TABLE [dbo].[VENDA]  WITH CHECK ADD  CONSTRAINT [FK_VENDA_USUARI] FOREIGN KEY([ID_USUARI])
REFERENCES [dbo].[USUARI] ([ID_USUARI])
GO
ALTER TABLE [dbo].[VENDA] CHECK CONSTRAINT [FK_VENDA_USUARI]
GO
ALTER TABLE [dbo].[VENDA] ADD  CONSTRAINT [DF_VENDA_DATA_VENDA]  DEFAULT (sysdatetime()) FOR [DATA_VENDA]
GO

/****** Object:  Table [dbo].[FORMAT]    Script Date: 05/03/2011 11:13:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[FORMAT](
	[ID_FORMAT] [int] IDENTITY(1,1) NOT NULL,
	[FORMAT] [varchar](50) NOT NULL,
	[ACTIU] [int] NOT NULL,
	[DATA_ALTA] [date] NOT NULL,
	[DATA_BAIXA] [date] NULL,
 CONSTRAINT [PK_FORMAT] PRIMARY KEY CLUSTERED 
(
	[ID_FORMAT] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
ALTER TABLE [dbo].[FORMAT]  WITH CHECK ADD  CONSTRAINT [FK_FORMAT_FORMAT] FOREIGN KEY([ID_FORMAT])
REFERENCES [dbo].[FORMAT] ([ID_FORMAT])
GO
ALTER TABLE [dbo].[FORMAT] CHECK CONSTRAINT [FK_FORMAT_FORMAT]
GO
ALTER TABLE [dbo].[FORMAT] ADD  CONSTRAINT [DF_FORMAT_ACTIU]  DEFAULT ((1)) FOR [ACTIU]
GO
ALTER TABLE [dbo].[FORMAT] ADD  CONSTRAINT [DF_FORMAT_DATA_ALTA]  DEFAULT (sysdatetime()) FOR [DATA_ALTA]
GO

/****** Object:  Table [dbo].[GENERE]    Script Date: 05/03/2011 11:16:48 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[GENERE](
	[ID_GENERE] [int] IDENTITY(1,1) NOT NULL,
	[GENERE] [varchar](50) NOT NULL,
	[ACTIU] [int] NOT NULL,
	[DATA_ALTA] [date] NOT NULL,
	[DATA_BAIXA] [date] NULL,
 CONSTRAINT [PK_GENERE] PRIMARY KEY CLUSTERED 
(
	[ID_GENERE] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
ALTER TABLE [dbo].[GENERE]  WITH CHECK ADD  CONSTRAINT [FK_GENERE_GENERE] FOREIGN KEY([ID_GENERE])
REFERENCES [dbo].[GENERE] ([ID_GENERE])
GO
ALTER TABLE [dbo].[GENERE] CHECK CONSTRAINT [FK_GENERE_GENERE]
GO
ALTER TABLE [dbo].[GENERE] ADD  CONSTRAINT [DF_GENERE_ACTIU]  DEFAULT ((1)) FOR [ACTIU]
GO
ALTER TABLE [dbo].[GENERE] ADD  CONSTRAINT [DF_GENERE_DATA_ALTA]  DEFAULT (sysdatetime()) FOR [DATA_ALTA]
GO

/****** Object:  Table [dbo].[FORMAT_UNITAT_PELLICULA]    Script Date: 05/03/2011 11:14:21 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[FORMAT_UNITAT_PELLICULA](
	[ID_UNITAT] [int] NOT NULL,
	[ID_FORMAT] [int] NOT NULL,
 CONSTRAINT [PK_FORMAT_UNITAT_PELLICULA] PRIMARY KEY CLUSTERED 
(
	[ID_UNITAT] ASC,
	[ID_FORMAT] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
ALTER TABLE [dbo].[FORMAT_UNITAT_PELLICULA]  WITH CHECK ADD  CONSTRAINT [FK_FORMAT_UNITAT_PELLICULA_FORMAT] FOREIGN KEY([ID_FORMAT])
REFERENCES [dbo].[FORMAT] ([ID_FORMAT])
GO
ALTER TABLE [dbo].[FORMAT_UNITAT_PELLICULA] CHECK CONSTRAINT [FK_FORMAT_UNITAT_PELLICULA_FORMAT]
GO
ALTER TABLE [dbo].[FORMAT_UNITAT_PELLICULA]  WITH CHECK ADD  CONSTRAINT [FK_FORMAT_UNITAT_PELLICULA_UNITAT_PELLICULA] FOREIGN KEY([ID_UNITAT])
REFERENCES [dbo].[UNITAT_PELLICULA] ([ID_UNITAT])
GO
ALTER TABLE [dbo].[FORMAT_UNITAT_PELLICULA] CHECK CONSTRAINT [FK_FORMAT_UNITAT_PELLICULA_UNITAT_PELLICULA]
GO

/****** Object:  Table [dbo].[GENERE_PELLICULA]    Script Date: 05/03/2011 11:26:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GENERE_PELLICULA](
	[ID_PELLICULA] [int] NOT NULL,
	[ID_GENERE] [int] NOT NULL,
 CONSTRAINT [PK_GENERE_PELLICULA] PRIMARY KEY CLUSTERED 
(
	[ID_PELLICULA] ASC,
	[ID_GENERE] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
ALTER TABLE [dbo].[GENERE_PELLICULA]  WITH CHECK ADD  CONSTRAINT [FK_GENERE_PELLICULA_GENERE] FOREIGN KEY([ID_GENERE])
REFERENCES [dbo].[GENERE] ([ID_GENERE])
GO
ALTER TABLE [dbo].[GENERE_PELLICULA] CHECK CONSTRAINT [FK_GENERE_PELLICULA_GENERE]
GO
ALTER TABLE [dbo].[GENERE_PELLICULA]  WITH CHECK ADD  CONSTRAINT [FK_GENERE_PELLICULA_PELLICULA] FOREIGN KEY([ID_PELLICULA])
REFERENCES [dbo].[PELLICULA] ([ID_PELLICULA])
GO
ALTER TABLE [dbo].[GENERE_PELLICULA] CHECK CONSTRAINT [FK_GENERE_PELLICULA_PELLICULA]
GO

/****** Object:  Table [dbo].[PARAMETRES_APLICACIO]    Script Date: 05/18/2011 15:05:31 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[PARAMETRES_APLICACIO](
	[ID_CFG] [int] IDENTITY(1,1) NOT NULL,
	[RAO_SOCIAL] [varchar](100) NOT NULL,
	[CIF] [varchar](100) NOT NULL,
	[ADREA] [varchar](200) NOT NULL,
	[TELEFON] [varchar](15) NOT NULL,
	[FAX] [varchar](15) NULL,
	[EMAIL] [varchar](100) NULL,
	[WEB] [varchar](100) NULL,
	[PREU_HORA_LLOGUER] [float] NOT NULL,
	[PREU_MINIM_LLOGUER] [float] NOT NULL,
	[MAX_HORES_LLOGUER] [int] NOT NULL,
	[MAX_ARTICLES_LLOGATS_USUARI] [int] NOT NULL,
	[MAX_MINUTS_RECOLLIR_RESERVA] [int] NOT NULL,
	[MAX_MINUTS_UTILITZACIO_TERMINAL] [int] NOT NULL,
	[RUTA_IMATGES] [varchar](300) NOT NULL,
	[RUTA_VIDEOS] [varchar](300) NOT NULL,
 CONSTRAINT [PK_PARAMETRES_APLICACIO] PRIMARY KEY CLUSTERED 
(
	[ID_CFG] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
ALTER TABLE [dbo].[PARAMETRES_APLICACIO] ADD  CONSTRAINT [DF_PARAMETRES_APLICACIO_PREU_HORA_LLOGUER]  DEFAULT ((0)) FOR [PREU_HORA_LLOGUER]
GO
ALTER TABLE [dbo].[PARAMETRES_APLICACIO] ADD  CONSTRAINT [DF_PARAMETRES_APLICACIO_PREU_MINIM_LLOGUER]  DEFAULT ((1)) FOR [PREU_MINIM_LLOGUER]
GO
ALTER TABLE [dbo].[PARAMETRES_APLICACIO] ADD  CONSTRAINT [DF_PARAMETRES_APLICACIO_MAX_HORES_LLOGUER]  DEFAULT ((0)) FOR [MAX_HORES_LLOGUER]
GO
ALTER TABLE [dbo].[PARAMETRES_APLICACIO] ADD  CONSTRAINT [DF_PARAMETRES_APLICACIO_MAX_ARTICLES_LLOGATS_USUARI]  DEFAULT ((0)) FOR [MAX_ARTICLES_LLOGATS_USUARI]
GO
ALTER TABLE [dbo].[PARAMETRES_APLICACIO] ADD  CONSTRAINT [DF_PARAMETRES_APLICACIO_MAX_MINUTS_RECOLLIR_RESERVA]  DEFAULT ((0)) FOR [MAX_MINUTS_RECOLLIR_RESERVA]
GO
ALTER TABLE [dbo].[PARAMETRES_APLICACIO] ADD  CONSTRAINT [DF_PARAMETRES_APLICACIO_MAX_MINUTS_UTILITZACIO_TERMINAL]  DEFAULT ((0)) FOR [MAX_MINUTS_UTILITZACIO_TERMINAL]
GO

USE [VideoClub]
GO

/****** Object:  Table [dbo].[TMP_COPIES]    Script Date: 05/19/2011 12:56:56 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TMP_COPIES](
	[ID_TMP] [int] IDENTITY(1,1) NOT NULL,
	[ID_UNITAT] [int] NOT NULL,
	[ID_PELLICULA] [int] NOT NULL,
	[ID_FORMAT] [int] NOT NULL,
	[FORMAT] [varchar](100) NOT NULL,
	[LLOGUER] [int] NOT NULL,
	[VENDA] [int] NOT NULL,
	[PREU_VENDA] [float] NULL,
	[BAIXA] [int] NOT NULL,
 CONSTRAINT [PK_TMP_COPIE] PRIMARY KEY CLUSTERED 
(
	[ID_TMP] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
ALTER TABLE [dbo].[TMP_COPIES] ADD  CONSTRAINT [DF_TMP_COPIE_ID_UNITAT]  DEFAULT ((0)) FOR [ID_UNITAT]
GO
ALTER TABLE [dbo].[TMP_COPIES] ADD  CONSTRAINT [DF_TMP_COPIE_ID_PELLICULA]  DEFAULT ((0)) FOR [ID_PELLICULA]
GO
ALTER TABLE [dbo].[TMP_COPIES] ADD  CONSTRAINT [DF_TMP_COPIE_LLOGUER]  DEFAULT ((0)) FOR [LLOGUER]
GO
ALTER TABLE [dbo].[TMP_COPIES] ADD  CONSTRAINT [DF_TMP_COPIE_VENDA]  DEFAULT ((0)) FOR [VENDA]
GO
ALTER TABLE [dbo].[TMP_COPIES] ADD  CONSTRAINT [DF_TMP_COPIES_BAIXA]  DEFAULT ((0)) FOR [BAIXA]
GO

/****** Object:  View [dbo].[VISTA_ARTICLES_ACTIUS]    Script Date: 05/18/2011 15:53:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[VISTA_ARTICLES_ACTIUS]
AS
SELECT     TOP (100) PERCENT dbo.PELLICULA.ID_PELLICULA, dbo.UNITAT_PELLICULA.ID_UNITAT, dbo.PELLICULA.TITOL, dbo.FORMAT.FORMAT, 
                      dbo.UNITAT_PELLICULA.ESTAT, dbo.UNITAT_PELLICULA.LLOGUER, dbo.UNITAT_PELLICULA.VENDA, dbo.UNITAT_PELLICULA.ACTIVA, 
                      dbo.UNITAT_PELLICULA.DATA_ALTA, dbo.UNITAT_PELLICULA.DATA_BAIXA
FROM         dbo.PELLICULA INNER JOIN
                      dbo.UNITAT_PELLICULA ON dbo.PELLICULA.ID_PELLICULA = dbo.UNITAT_PELLICULA.ID_PELLICULA INNER JOIN
                      dbo.FORMAT_UNITAT_PELLICULA ON dbo.UNITAT_PELLICULA.ID_UNITAT = dbo.FORMAT_UNITAT_PELLICULA.ID_UNITAT INNER JOIN
                      dbo.FORMAT ON dbo.FORMAT_UNITAT_PELLICULA.ID_FORMAT = dbo.FORMAT.ID_FORMAT
WHERE     (dbo.UNITAT_PELLICULA.ACTIVA = 1)
ORDER BY dbo.PELLICULA.TITOL
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[38] 4[17] 2[21] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "PELLICULA"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 198
               Right = 244
            End
            DisplayFlags = 280
            TopColumn = 7
         End
         Begin Table = "UNITAT_PELLICULA"
            Begin Extent = 
               Top = 6
               Left = 282
               Bottom = 215
               Right = 480
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "FORMAT_UNITAT_PELLICULA"
            Begin Extent = 
               Top = 6
               Left = 518
               Bottom = 95
               Right = 716
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "FORMAT"
            Begin Extent = 
               Top = 96
               Left = 518
               Bottom = 215
               Right = 716
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 11
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
   ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VISTA_ARTICLES_ACTIUS'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane2', @value=N'      Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VISTA_ARTICLES_ACTIUS'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=2 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VISTA_ARTICLES_ACTIUS'
GO

/****** Object:  View [dbo].[VISTA_ARTICLES_ACTIUS_LLOGUER]    Script Date: 05/18/2011 15:54:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[VISTA_ARTICLES_ACTIUS_LLOGUER]
AS
SELECT     TOP (100) PERCENT dbo.PELLICULA.ID_PELLICULA, dbo.UNITAT_PELLICULA.ID_UNITAT, dbo.PELLICULA.TITOL, dbo.FORMAT.FORMAT, 
                      dbo.UNITAT_PELLICULA.ESTAT, dbo.UNITAT_PELLICULA.LLOGUER, dbo.UNITAT_PELLICULA.VENDA, dbo.UNITAT_PELLICULA.ACTIVA, 
                      dbo.UNITAT_PELLICULA.DATA_ALTA, dbo.UNITAT_PELLICULA.DATA_BAIXA
FROM         dbo.PELLICULA INNER JOIN
                      dbo.UNITAT_PELLICULA ON dbo.PELLICULA.ID_PELLICULA = dbo.UNITAT_PELLICULA.ID_PELLICULA INNER JOIN
                      dbo.FORMAT_UNITAT_PELLICULA ON dbo.UNITAT_PELLICULA.ID_UNITAT = dbo.FORMAT_UNITAT_PELLICULA.ID_UNITAT INNER JOIN
                      dbo.FORMAT ON dbo.FORMAT_UNITAT_PELLICULA.ID_FORMAT = dbo.FORMAT.ID_FORMAT
WHERE     (dbo.UNITAT_PELLICULA.LLOGUER = 1) AND (dbo.PELLICULA.ACTIVA = 1) AND (dbo.UNITAT_PELLICULA.ACTIVA = 1)
ORDER BY dbo.PELLICULA.TITOL
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[41] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "PELLICULA"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 125
               Right = 244
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "UNITAT_PELLICULA"
            Begin Extent = 
               Top = 6
               Left = 282
               Bottom = 125
               Right = 480
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "FORMAT_UNITAT_PELLICULA"
            Begin Extent = 
               Top = 6
               Left = 518
               Bottom = 95
               Right = 716
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "FORMAT"
            Begin Extent = 
               Top = 96
               Left = 518
               Bottom = 215
               Right = 716
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 9
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         O' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VISTA_ARTICLES_ACTIUS_LLOGUER'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane2', @value=N'r = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VISTA_ARTICLES_ACTIUS_LLOGUER'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=2 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VISTA_ARTICLES_ACTIUS_LLOGUER'
GO

/****** Object:  View [dbo].[VISTA_ARTICLES_ACTIUS_VENDA]    Script Date: 05/18/2011 15:55:15 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[VISTA_ARTICLES_ACTIUS_VENDA]
AS
SELECT     TOP (100) PERCENT dbo.PELLICULA.ID_PELLICULA, dbo.UNITAT_PELLICULA.ID_UNITAT, dbo.PELLICULA.TITOL, dbo.FORMAT.FORMAT, 
                      dbo.UNITAT_PELLICULA.ESTAT, dbo.UNITAT_PELLICULA.LLOGUER, dbo.UNITAT_PELLICULA.VENDA, dbo.UNITAT_PELLICULA.ACTIVA, 
                      dbo.UNITAT_PELLICULA.DATA_ALTA, dbo.UNITAT_PELLICULA.DATA_BAIXA
FROM         dbo.PELLICULA INNER JOIN
                      dbo.UNITAT_PELLICULA ON dbo.PELLICULA.ID_PELLICULA = dbo.UNITAT_PELLICULA.ID_PELLICULA INNER JOIN
                      dbo.FORMAT_UNITAT_PELLICULA ON dbo.UNITAT_PELLICULA.ID_UNITAT = dbo.FORMAT_UNITAT_PELLICULA.ID_UNITAT INNER JOIN
                      dbo.FORMAT ON dbo.FORMAT_UNITAT_PELLICULA.ID_FORMAT = dbo.FORMAT.ID_FORMAT
WHERE     (dbo.UNITAT_PELLICULA.VENDA = 1) AND (dbo.PELLICULA.ACTIVA = 1) AND (dbo.UNITAT_PELLICULA.ACTIVA = 1)
ORDER BY dbo.PELLICULA.TITOL
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "PELLICULA"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 125
               Right = 244
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "UNITAT_PELLICULA"
            Begin Extent = 
               Top = 6
               Left = 282
               Bottom = 125
               Right = 480
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "FORMAT_UNITAT_PELLICULA"
            Begin Extent = 
               Top = 6
               Left = 518
               Bottom = 95
               Right = 716
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "FORMAT"
            Begin Extent = 
               Top = 96
               Left = 518
               Bottom = 215
               Right = 716
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 11
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
   ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VISTA_ARTICLES_ACTIUS_VENDA'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane2', @value=N'      Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VISTA_ARTICLES_ACTIUS_VENDA'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=2 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VISTA_ARTICLES_ACTIUS_VENDA'
GO

/****** Object:  View [dbo].[VISTA_LLOGUERS_ACTIUS]    Script Date: 05/18/2011 15:56:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[VISTA_LLOGUERS_ACTIUS]
AS
SELECT     TOP (100) PERCENT dbo.LLOGUER.ID_LLOGUER, dbo.LLOGUER.ID_USUARI, dbo.USUARI.DNI, 
                      dbo.USUARI.NOM + ' ' + dbo.USUARI.COGNOM1 + ' ' + dbo.USUARI.COGNOM2 AS NOM_USUARI, dbo.LLOGUER.ID_UNITAT, dbo.FORMAT.FORMAT, 
                      dbo.PELLICULA.TITOL, dbo.LLOGUER.DATA_LLOGUER
FROM         dbo.LLOGUER INNER JOIN
                      dbo.USUARI ON dbo.LLOGUER.ID_USUARI = dbo.USUARI.ID_USUARI INNER JOIN
                      dbo.UNITAT_PELLICULA ON dbo.LLOGUER.ID_UNITAT = dbo.UNITAT_PELLICULA.ID_UNITAT INNER JOIN
                      dbo.PELLICULA ON dbo.UNITAT_PELLICULA.ID_PELLICULA = dbo.PELLICULA.ID_PELLICULA INNER JOIN
                      dbo.FORMAT_UNITAT_PELLICULA ON dbo.UNITAT_PELLICULA.ID_UNITAT = dbo.FORMAT_UNITAT_PELLICULA.ID_UNITAT INNER JOIN
                      dbo.FORMAT ON dbo.FORMAT_UNITAT_PELLICULA.ID_FORMAT = dbo.FORMAT.ID_FORMAT
WHERE     (dbo.LLOGUER.ID_DEVOLUCIO IS NULL)
ORDER BY dbo.LLOGUER.DATA_LLOGUER
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "LLOGUER"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 125
               Right = 236
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "USUARI"
            Begin Extent = 
               Top = 6
               Left = 274
               Bottom = 125
               Right = 472
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "UNITAT_PELLICULA"
            Begin Extent = 
               Top = 6
               Left = 510
               Bottom = 125
               Right = 708
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "PELLICULA"
            Begin Extent = 
               Top = 6
               Left = 746
               Bottom = 125
               Right = 952
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "FORMAT_UNITAT_PELLICULA"
            Begin Extent = 
               Top = 126
               Left = 38
               Bottom = 215
               Right = 236
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "FORMAT"
            Begin Extent = 
               Top = 126
               Left = 274
               Bottom = 245
               Right = 472
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 9
         Width = 284
         Width = 1500
       ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VISTA_LLOGUERS_ACTIUS'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane2', @value=N'  Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VISTA_LLOGUERS_ACTIUS'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=2 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VISTA_LLOGUERS_ACTIUS'
GO

/****** Object:  View [dbo].[VISTA_LLOGUERS_FORA_TERMINI_DEVOLUCIO]    Script Date: 05/18/2011 15:56:40 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[VISTA_LLOGUERS_FORA_TERMINI_DEVOLUCIO]
AS
SELECT     dbo.PELLICULA.ID_PELLICULA, dbo.PELLICULA.TITOL, dbo.FORMAT.FORMAT, 
                      dbo.USUARI.NOM + ' ' + dbo.USUARI.COGNOM1 + ' ' + dbo.USUARI.COGNOM2 AS CLIENT, dbo.USUARI.DNI, dbo.USUARI.TELEFON1, dbo.LLOGUER.DATA_LLOGUER, 
                      DATEDIFF(dd, dbo.LLOGUER.DATA_LLOGUER, SYSDATETIME()) AS DATEDIFDIES, DATEDIFF(hh, dbo.LLOGUER.DATA_LLOGUER, SYSDATETIME()) AS DATEDIFHORES,
                       DATEDIFF(hh, dbo.LLOGUER.DATA_LLOGUER, SYSDATETIME()) * SUBQUERY.PREU_HORA AS IMPORT_LLOGUER
FROM         dbo.PELLICULA INNER JOIN
                      dbo.UNITAT_PELLICULA ON dbo.PELLICULA.ID_PELLICULA = dbo.UNITAT_PELLICULA.ID_PELLICULA INNER JOIN
                      dbo.LLOGUER ON dbo.UNITAT_PELLICULA.ID_UNITAT = dbo.LLOGUER.ID_UNITAT INNER JOIN
                      dbo.USUARI ON dbo.LLOGUER.ID_USUARI = dbo.USUARI.ID_USUARI INNER JOIN
                      dbo.FORMAT_UNITAT_PELLICULA ON dbo.UNITAT_PELLICULA.ID_UNITAT = dbo.FORMAT_UNITAT_PELLICULA.ID_UNITAT INNER JOIN
                      dbo.FORMAT ON dbo.FORMAT_UNITAT_PELLICULA.ID_FORMAT = dbo.FORMAT.ID_FORMAT CROSS JOIN
                          (SELECT     ISNULL(PREU_HORA_LLOGUER, 0) AS PREU_HORA
                            FROM          dbo.PARAMETRES_APLICACIO) AS SUBQUERY
WHERE     (dbo.LLOGUER.ID_DEVOLUCIO IS NULL) AND (DATEDIFF(hh, dbo.LLOGUER.DATA_LLOGUER, SYSDATETIME()) >
                          (SELECT     ISNULL(MAX_HORES_LLOGUER, 0) AS Expr1
                            FROM          dbo.PARAMETRES_APLICACIO AS PARAMETRES_APLICACIO_1))
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "PELLICULA"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 125
               Right = 244
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "UNITAT_PELLICULA"
            Begin Extent = 
               Top = 6
               Left = 282
               Bottom = 125
               Right = 480
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "LLOGUER"
            Begin Extent = 
               Top = 126
               Left = 38
               Bottom = 245
               Right = 236
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "USUARI"
            Begin Extent = 
               Top = 126
               Left = 274
               Bottom = 245
               Right = 472
            End
            DisplayFlags = 280
            TopColumn = 12
         End
         Begin Table = "FORMAT_UNITAT_PELLICULA"
            Begin Extent = 
               Top = 246
               Left = 274
               Bottom = 335
               Right = 472
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "FORMAT"
            Begin Extent = 
               Top = 324
               Left = 38
               Bottom = 443
               Right = 236
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "SUBQUERY"
            Begin Extent = 
               Top = 246
               Left = 38
               Bottom = 320
               Right = 236
            End
     ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VISTA_LLOGUERS_FORA_TERMINI_DEVOLUCIO'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane2', @value=N'       DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 11
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VISTA_LLOGUERS_FORA_TERMINI_DEVOLUCIO'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=2 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VISTA_LLOGUERS_FORA_TERMINI_DEVOLUCIO'
GO

/****** Object:  View [dbo].[VISTA_NOVETATS]    Script Date: 05/18/2011 15:57:14 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[VISTA_NOVETATS]
AS
SELECT DISTINCT TITOL, DATA_ESTRENA, DATEDIFF(m, DATA_ESTRENA, SYSDATETIME()) AS Expr1
FROM         dbo.PELLICULA
WHERE     (DATEDIFF(m, DATA_ESTRENA, SYSDATETIME()) < 6) AND (DATA_ESTRENA IS NOT NULL)
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[41] 4[20] 2[9] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "PELLICULA"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 125
               Right = 244
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 9
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VISTA_NOVETATS'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VISTA_NOVETATS'
GO

/****** Object:  View [dbo].[VISTA_RENDIMENT_ECONOMIC_ARTICLES]    Script Date: 05/18/2011 15:57:52 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[VISTA_RENDIMENT_ECONOMIC_ARTICLES]
AS
SELECT     TOP (100) PERCENT dbo.PELLICULA.TITOL, dbo.FORMAT.FORMAT, SUM(dbo.DEVOLUCIO.PREU_LLOGUER) AS TOTAL_EUROS_LLOGUER
FROM         dbo.PELLICULA INNER JOIN
                      dbo.UNITAT_PELLICULA ON dbo.PELLICULA.ID_PELLICULA = dbo.UNITAT_PELLICULA.ID_PELLICULA INNER JOIN
                      dbo.FORMAT_UNITAT_PELLICULA ON dbo.UNITAT_PELLICULA.ID_UNITAT = dbo.FORMAT_UNITAT_PELLICULA.ID_UNITAT INNER JOIN
                      dbo.FORMAT ON dbo.FORMAT_UNITAT_PELLICULA.ID_FORMAT = dbo.FORMAT.ID_FORMAT INNER JOIN
                      dbo.LLOGUER ON dbo.UNITAT_PELLICULA.ID_UNITAT = dbo.LLOGUER.ID_UNITAT INNER JOIN
                      dbo.DEVOLUCIO ON dbo.LLOGUER.ID_DEVOLUCIO = dbo.DEVOLUCIO.ID_DEVOLUCIO
GROUP BY dbo.PELLICULA.TITOL, dbo.FORMAT.FORMAT
ORDER BY TOTAL_EUROS_LLOGUER DESC
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "PELLICULA"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 125
               Right = 260
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "UNITAT_PELLICULA"
            Begin Extent = 
               Top = 6
               Left = 298
               Bottom = 125
               Right = 512
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "FORMAT_UNITAT_PELLICULA"
            Begin Extent = 
               Top = 6
               Left = 550
               Bottom = 95
               Right = 764
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "FORMAT"
            Begin Extent = 
               Top = 96
               Left = 550
               Bottom = 215
               Right = 764
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "LLOGUER"
            Begin Extent = 
               Top = 126
               Left = 38
               Bottom = 245
               Right = 252
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "DEVOLUCIO"
            Begin Extent = 
               Top = 126
               Left = 290
               Bottom = 230
               Right = 504
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 9
         Width = 284
         Width = 1500
    ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VISTA_RENDIMENT_ECONOMIC_ARTICLES'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane2', @value=N'     Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 12
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VISTA_RENDIMENT_ECONOMIC_ARTICLES'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=2 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VISTA_RENDIMENT_ECONOMIC_ARTICLES'
GO

/****** Object:  View [dbo].[VISTA_RESERVES_ACTIVES]    Script Date: 05/18/2011 15:58:24 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[VISTA_RESERVES_ACTIVES]
AS
SELECT     TOP (100) PERCENT dbo.RESERVA.ID_RESERVA, dbo.RESERVA.ID_USUARI, 
                      dbo.USUARI.NOM + ' ' + dbo.USUARI.COGNOM1 + ' ' + dbo.USUARI.COGNOM2 AS NOM_USUARI, dbo.USUARI.DNI, dbo.RESERVA.ID_UNITAT, dbo.FORMAT.FORMAT, 
                      dbo.PELLICULA.TITOL, dbo.RESERVA.DATA_RESERVA, dbo.UNITAT_PELLICULA.PREU_VENDA, dbo.RESERVA.TIPUS_RESERVA
FROM         dbo.RESERVA INNER JOIN
                      dbo.USUARI ON dbo.RESERVA.ID_USUARI = dbo.USUARI.ID_USUARI INNER JOIN
                      dbo.UNITAT_PELLICULA ON dbo.RESERVA.ID_UNITAT = dbo.UNITAT_PELLICULA.ID_UNITAT INNER JOIN
                      dbo.PELLICULA ON dbo.UNITAT_PELLICULA.ID_PELLICULA = dbo.PELLICULA.ID_PELLICULA INNER JOIN
                      dbo.FORMAT_UNITAT_PELLICULA ON dbo.UNITAT_PELLICULA.ID_UNITAT = dbo.FORMAT_UNITAT_PELLICULA.ID_UNITAT INNER JOIN
                      dbo.FORMAT ON dbo.FORMAT_UNITAT_PELLICULA.ID_FORMAT = dbo.FORMAT.ID_FORMAT
WHERE     (dbo.RESERVA.ACTIVA = 1)
ORDER BY dbo.RESERVA.DATA_RESERVA
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "RESERVA"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 125
               Right = 236
            End
            DisplayFlags = 280
            TopColumn = 2
         End
         Begin Table = "USUARI"
            Begin Extent = 
               Top = 6
               Left = 274
               Bottom = 125
               Right = 472
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "UNITAT_PELLICULA"
            Begin Extent = 
               Top = 6
               Left = 510
               Bottom = 125
               Right = 708
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "PELLICULA"
            Begin Extent = 
               Top = 6
               Left = 746
               Bottom = 125
               Right = 952
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "FORMAT_UNITAT_PELLICULA"
            Begin Extent = 
               Top = 126
               Left = 38
               Bottom = 215
               Right = 236
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "FORMAT"
            Begin Extent = 
               Top = 126
               Left = 274
               Bottom = 245
               Right = 472
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 9
         Width = 284
         Width = 1500
       ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VISTA_RESERVES_ACTIVES'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane2', @value=N'  Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VISTA_RESERVES_ACTIVES'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=2 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VISTA_RESERVES_ACTIVES'
GO