﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Description;
using System.ServiceModel.Channels;
using System.Text;
using System.Xml;
using System.Xml.Serialization;
using DATAVideoClub;

namespace WCFVideoClub
{
    [ServiceContract]
    public interface IService1
    {
        [OperationContract]
        [ReferencePreservingDataContractFormat]
        int AccesUsuari(String nomUsuari, int password);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        String ObtenirNomUsuari(int idUsuari);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        List<GENERE> ObtenirGeneres(int Filtre);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        String ObtenirGenere(int idGenere);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        String ObtenirGeneresPellicula(int idPellicula);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        List<FORMAT> ObtenirFormats(int Filtre);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        String ObtenirFormat(int idFormat);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        List<PELLICULA> ObtenirPelliculesLloguer(int idFormat, int idGenere);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        List<PELLICULA> ObtenirPelliculesVenda(int idFormat, int idGenere);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        String ObtenirEstatPellicula(int idPellicula, int idFormat);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        int ObtenirCopiaDisponiblePellicula(int idPellicula, int idFormat);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        List<USUARI> ObtenirUsuaris(int Filtre);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        Double ObtenirPreuArticle(int IdPellicula);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        Boolean RealitzarReserva(int IdUsuari, int IdUnitatArticle, int TipusReserva);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        List<VISTA_RESERVES_ACTIVES> ObtenirLlistatReserves(int IdUsuari);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        List<VISTA_LLOGUERS_ACTIUS> ObtenirLlistatLloguers(int IdUsuari);
        
        [OperationContract]
        [ReferencePreservingDataContractFormat]
        USUARI BuscarUsuari(String DNI);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        Boolean AcceptarReserva(int IdReserva);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        Boolean CancelarReserva(int IdReserva);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        Boolean TornarArticleLlogat(int IdLloguer, Double PreuLloguer);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        Double CalculaPreuLloguer(DateTime dataLloguer, DateTime dataDevolucio);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        PARAMETRES_APLICACIO ObtenirParametresAplicacio();

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        USUARI ObtenirUsuariAdministrador();

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        void CanviaContrasenyaAdministrador(int novaContrasenya);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        List<VISTA_ARTICLES_ACTIUS> ObtenirLlistatTotsArticles();

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        List<VISTA_ARTICLES_ACTIUS_LLOGUER> ObtenirLlistatArticlesLloguer();

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        List<VISTA_ARTICLES_ACTIUS_VENDA> ObtenirLlistatArticlesVenda();

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        Boolean ExisteixUsuari(String dni);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        void AltaUsuari(USUARI NewUsuari);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        void BaixaUsuari(int IdUsuari);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        void ModificarUsuari(USUARI NewUsuari);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        int AltaPellicula(PELLICULA NewPellicula, List<GENERE> LlistaGeneres);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        void BaixaPellicula(int IdPellicula);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        List<UNITAT_PELLICULA> ObtenirLlistatCopiesPellicula(int IdPellicula);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        void ModificarCopiaPellicula(UNITAT_PELLICULA NewCopiaPellicula, int IdFormat);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        int AltaCopiaPellicula(UNITAT_PELLICULA NewCopiaPellicula, int IdPellicula, int IdFormat);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        void BaixaCopiaPellicula(int IdCopiaPellicula);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        void ModificarPellicula(PELLICULA NewPellicula);
        
        [OperationContract]
        [ReferencePreservingDataContractFormat]
        void EsborrarGeneresPellicula(int IdPellicula);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        void AfegirGenerePellicula(int IdPellicula, int IdGenere);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        void GuardarConfiguracio(PARAMETRES_APLICACIO NewParametres);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        PELLICULA ObtenirPellicula(int IdPellicula);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        Boolean ExisteixPellicula(String TitolPellicula);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        List<GENERE> ObtenirLlistaGeneresPellicula(int IdPellicula);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        List<GENERE> ObtenirLlistaGeneresNOPellicula(int IdPellicula);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        int ObtenirFormatUnitat(int IdUnitat);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        int ExisteixFormat(String DescripcioFormat);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        int AltaFormat(String NewFormat);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        void BaixaFormat(int IdFormat);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        int ActivarFormat(int IdFormat);
        
        [OperationContract]
        [ReferencePreservingDataContractFormat]
        int ExisteixGenere(String DescripcioGenere);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        int AltaGenere(String NewGenere);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        void BaixaGenere(int IdGenere);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        int ActivarGenere(int IdGenere);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        List<VISTA_LLOGUERS_FORA_TERMINI_DEVOLUCIO> ObtenirLlistaLloguersForaTerminiDevolucio();

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        List<VISTA_RENDIMENT_ECONOMIC_ARTICLES> ObtenirLlistaRendimentEconomicArticles();

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        List<VISTA_NOVETATS> ObtenirLlistaNovetats();

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        void GuardarTemporalCopiesPellicula(int IdPellicula);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        void BuidarTemporalCopiesPellicula();

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        List<TMP_COPIES> ObtenirLlistatTemporalCopiesPellicula(Boolean TotesCopies);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        void AfegirCopiaPelliculaATemporal(TMP_COPIES copia);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        void EsborrarCopiaPelliculaTemporal(int IdTemporal);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        void ModificarCopiaPelliculaTemporal(int IdTemporal, TMP_COPIES copia);

        [OperationContract]
        [ReferencePreservingDataContractFormat]
        String ObtenirEstatCopiaPellicula(int IdCopia);
    }

    public class ReferencePreservingDataContractFormatAttribute : Attribute, IOperationBehavior
    {        
        public void AddBindingParameters(OperationDescription description, BindingParameterCollection parameters)
        {
        }

        public void ApplyClientBehavior(OperationDescription description, System.ServiceModel.Dispatcher.ClientOperation proxy)
        {
            IOperationBehavior innerBehavior = new ReferencePreservingDataContractSerializerOperationBehavior(description);
            innerBehavior.ApplyClientBehavior(description, proxy);
        }

        public void ApplyDispatchBehavior(OperationDescription description, System.ServiceModel.Dispatcher.DispatchOperation dispatch)
        {
            IOperationBehavior innerBehavior = new ReferencePreservingDataContractSerializerOperationBehavior(description);
            innerBehavior.ApplyDispatchBehavior(description, dispatch);
        }

        public void Validate(OperationDescription description)
        {
        }
    }

    class ReferencePreservingDataContractSerializerOperationBehavior : DataContractSerializerOperationBehavior
    {
        public ReferencePreservingDataContractSerializerOperationBehavior(OperationDescription operationDescription) : base(operationDescription) { }
        public override XmlObjectSerializer CreateSerializer(Type type, string name, string ns, IList<Type> knownTypes)
        {
            return CreateDataContractSerializer(type, name, ns, knownTypes);
        }

        private static XmlObjectSerializer CreateDataContractSerializer(Type type, string name, string ns, IList<Type> knownTypes)
        {
            return CreateDataContractSerializer(type, name, ns, knownTypes);
        }

        public override XmlObjectSerializer CreateSerializer(Type type, XmlDictionaryString name, XmlDictionaryString ns, IList<Type> knownTypes)
        {
            return new DataContractSerializer(type, name, ns, knownTypes,
                0x7FFF /*maxItemsInObjectGraph*/,
                false/*ignoreExtensionDataObject*/,
                true/*preserveObjectReferences*/,
                null/*dataContractSurrogate*/);
        }
    }
}