﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.IO;

using WPFGestioClients.WCFVideoClubServiceReference;

namespace WPFGestioClients
{
    /// <summary>
    /// Lógica de interacción para Window1.xaml
    /// </summary>
    public partial class wndCatalog : Window
    {
        Service1Client client = new Service1Client();
        
        int IdUsuari;
        int CatalegSeleccionat;
        int FormatSeleccionat;        
        int GenereSeleccionat;

        int NumPellicules = 0;
        int PaginaActual = 1;
        
        List<PELLICULA> pellicules = new List<PELLICULA>();
        List<PELLICULA> CuatrePelliculesActuals = new List<PELLICULA>();
        PARAMETRES_APLICACIO appParam = new PARAMETRES_APLICACIO();
        
        public wndCatalog(int paramIdUsuariActual, int paramCatalegSeleccionat, int paramFormatSeleccionat, int paramGenereSeleccionat)
        {
            IdUsuari = paramIdUsuariActual;
            CatalegSeleccionat = paramCatalegSeleccionat;
            FormatSeleccionat = paramFormatSeleccionat;            
            GenereSeleccionat = paramGenereSeleccionat;
            appParam = client.ObtenirParametresAplicacio();
            
            InitializeComponent();

            String StrCataleg;
            if (CatalegSeleccionat == 1) { StrCataleg = "lloguer"; }else{ StrCataleg = "venda"; }
            String StrFormat = client.ObtenirFormat(FormatSeleccionat);
            String StrGenere = client.ObtenirGenere(GenereSeleccionat);
            txtTitolCataleg.Text = "Catàleg d'articles de " + StrCataleg + ": " + StrFormat + " (" + StrGenere + ")";
        }

        private void btnMenuPrincipal_Click(object sender, RoutedEventArgs e)
        {
            wndSeleccionarCataleg windowSeleccionarCataleg = new wndSeleccionarCataleg(IdUsuari, 0);
            windowSeleccionarCataleg.Show();
            this.Close();
        }

        private void btnPaginaAnterior_Click(object sender, RoutedEventArgs e)
        {
            this.Cursor = Cursors.Wait;
            PaginaActual = PaginaActual - 1;
            if (PaginaActual < 0) { PaginaActual = 0; }
            CarregarPaginaPellicules();            
            this.Cursor = Cursors.Arrow;
        }

        private void btnPaginaSiguiente_Click(object sender, RoutedEventArgs e)
        {
            this.Cursor = Cursors.Wait;
            PaginaActual = PaginaActual + 1;
            CarregarPaginaPellicules();            
            this.Cursor = Cursors.Arrow;
        }

        private void btnFinalitzarSessio_Click(object sender, RoutedEventArgs e)
        {
            wndLogin windowLoging = new wndLogin();
            windowLoging.Show();
            this.Close();
        }

        //Carreguem les dades de detall de la pelicula Nº1
        private void image1_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            if (CuatrePelliculesActuals.Count > 0)
            {
                if (CuatrePelliculesActuals[0] != null)
                {
                    this.Cursor = Cursors.Wait;
                    wndDetallsArticle windowDetallsArticle = new wndDetallsArticle(IdUsuari, CuatrePelliculesActuals[0], txtPeli1.Text, CatalegSeleccionat, FormatSeleccionat);
                    windowDetallsArticle.lblNomUsuari.Content = this.lblNomUsuari.Content;
                    windowDetallsArticle.ShowDialog();
                    CarregarPaginaPellicules();
                    this.Cursor = Cursors.Arrow;
                }
            }
        }

        //Carreguem les dades de detall de la pelicula Nº2
        private void image2_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            if (CuatrePelliculesActuals.Count > 1)
            {
                if (CuatrePelliculesActuals[1] != null)
                {
                    this.Cursor = Cursors.Wait;
                    wndDetallsArticle windowDetallsArticle = new wndDetallsArticle(IdUsuari, CuatrePelliculesActuals[1], txtPeli2.Text, CatalegSeleccionat, FormatSeleccionat);
                    windowDetallsArticle.lblNomUsuari.Content = this.lblNomUsuari.Content;
                    windowDetallsArticle.ShowDialog();
                    CarregarPaginaPellicules();
                    this.Cursor = Cursors.Arrow;
                }
            }
        }

        //Carreguem les dades de detall de la pelicula Nº3
        private void image3_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            if (CuatrePelliculesActuals.Count > 2)
            {
                if (CuatrePelliculesActuals[2] != null)
                {
                    this.Cursor = Cursors.Wait;
                    wndDetallsArticle windowDetallsArticle = new wndDetallsArticle(IdUsuari, CuatrePelliculesActuals[2], txtPeli3.Text, CatalegSeleccionat, FormatSeleccionat);
                    windowDetallsArticle.lblNomUsuari.Content = this.lblNomUsuari.Content;
                    windowDetallsArticle.ShowDialog();
                    CarregarPaginaPellicules();
                    this.Cursor = Cursors.Arrow;
                }
            }
        }

        //Carreguem les dades de detall de la pelicula Nº4
        private void image4_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            if (CuatrePelliculesActuals.Count > 3)
            {
                if (CuatrePelliculesActuals[3] != null)
                {
                    this.Cursor = Cursors.Wait;
                    wndDetallsArticle windowDetallsArticle = new wndDetallsArticle(IdUsuari, CuatrePelliculesActuals[3], txtPeli4.Text, CatalegSeleccionat, FormatSeleccionat);
                    windowDetallsArticle.lblNomUsuari.Content = this.lblNomUsuari.Content;
                    windowDetallsArticle.ShowDialog();
                    CarregarPaginaPellicules();
                    this.Cursor = Cursors.Arrow;
                }
            }
        }

        //Carreguem totes les películes del catàleg en funció dels filtres (catàleg, format i genere) aplicats prèviament
        private void CarregarLlistaPellicules()
        {
            try
            {
                int Resto = 0;

                if (CatalegSeleccionat == 1)
                {
                    pellicules = client.ObtenirPelliculesLloguer(FormatSeleccionat, GenereSeleccionat).ToList();
                    NumPellicules = pellicules.Count;
                    Resto = NumPellicules % 4;
                    if (Resto > 0) { NumPellicules = NumPellicules + (4 - Resto); } 
                }else{
                    pellicules = client.ObtenirPelliculesVenda(FormatSeleccionat, GenereSeleccionat).ToList();
                    NumPellicules = pellicules.Count;
                    Resto = NumPellicules % 4;
                    if (Resto > 0) { NumPellicules = NumPellicules + (4-Resto); } 
                }
            }
            catch (NullReferenceException ex)
            {
                MessageBox.Show(ex.Message, "VideoClub: " + ex.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
            catch (SystemException ex1)
            {
                MessageBox.Show(ex1.Message, "VideoClub: " + ex1.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
            catch (Exception ex2)
            {
                MessageBox.Show(ex2.Message, "VideoClub: " + ex2.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }
        
        // Mètode que carrega la pàgina actual amb les 4 pel.lícules
        private void CarregarPaginaPellicules()
        {
            try
            {
                String EstatPeliActual;
                PELLICULA pelliculaActual = new PELLICULA();

                CuatrePelliculesActuals.Clear();

                IEnumerator<PELLICULA> ie = pellicules.GetEnumerator();

                int PosicioPagina = ((PaginaActual-1) * 4) + 1;

                for (int j = 1; j < PosicioPagina; j++)
                {
                    ie.MoveNext();
                }

                //Primera pel.lícula
                ie.MoveNext();

                if (ie.Current != null)
                {
                    pelliculaActual = ie.Current;
                    EstatPeliActual = client.ObtenirEstatPellicula(pelliculaActual.ID_PELLICULA, FormatSeleccionat);
                    txtPeli1.Text = ResoldreEstat(EstatPeliActual);
                    txtPeli1.Background = ResoldreColor(EstatPeliActual);
                    if (pelliculaActual.CARATULA_FRONTAL.Length > 0 ) { image1.Source = GetImatge(appParam.RUTA_IMATGES + (char)92 + pelliculaActual.CARATULA_FRONTAL); }
                    CuatrePelliculesActuals.Add(pelliculaActual);                    
                }else{
                    image1.Source = GetImatge("");
                    txtPeli1.Text = "";
                    txtPeli1.Background = Brushes.LightGray;
                }
                
                //Segona pel.lícula
                ie.MoveNext();

                if (ie.Current != null)
                {
                    pelliculaActual = ie.Current;
                    EstatPeliActual = client.ObtenirEstatPellicula(pelliculaActual.ID_PELLICULA, FormatSeleccionat);
                    txtPeli2.Text = ResoldreEstat(EstatPeliActual);
                    txtPeli2.Background = ResoldreColor(EstatPeliActual);
                    if (pelliculaActual.CARATULA_FRONTAL.Length > 0) { image2.Source = GetImatge(appParam.RUTA_IMATGES + (char)92 + pelliculaActual.CARATULA_FRONTAL); }
                    CuatrePelliculesActuals.Add(pelliculaActual);                
                }else{
                    image2.Source = GetImatge("");
                    txtPeli2.Text = "";
                    txtPeli2.Background = Brushes.LightGray;
                }
                
                //Tercera pel.lícula
                ie.MoveNext();

                if (ie.Current != null)
                {
                    pelliculaActual = ie.Current;
                    EstatPeliActual = client.ObtenirEstatPellicula(pelliculaActual.ID_PELLICULA, FormatSeleccionat);
                    txtPeli3.Text = ResoldreEstat(EstatPeliActual);
                    txtPeli3.Background = ResoldreColor(EstatPeliActual);
                    if (pelliculaActual.CARATULA_FRONTAL.Length > 0) { image3.Source = GetImatge(appParam.RUTA_IMATGES + (char)92 + pelliculaActual.CARATULA_FRONTAL); }
                    CuatrePelliculesActuals.Add(pelliculaActual);               
                }else{
                    image3.Source = GetImatge("");
                    txtPeli3.Text = "";
                    txtPeli3.Background = Brushes.LightGray;
                }
                
                //Cuarta pel.lícula
                ie.MoveNext();

                if (ie.Current != null)
                {
                    pelliculaActual = ie.Current;
                    EstatPeliActual = client.ObtenirEstatPellicula(pelliculaActual.ID_PELLICULA, FormatSeleccionat);
                    txtPeli4.Text = ResoldreEstat(EstatPeliActual);
                    txtPeli4.Background = ResoldreColor(EstatPeliActual);
                    if (pelliculaActual.CARATULA_FRONTAL.Length > 0) { image4.Source = GetImatge(appParam.RUTA_IMATGES + (char)92 + pelliculaActual.CARATULA_FRONTAL); }
                    CuatrePelliculesActuals.Add(pelliculaActual);                
                }else{
                    image4.Source = GetImatge("");
                    txtPeli4.Text = "";
                    txtPeli4.Background = Brushes.LightGray;
                }

                //Controlem l'estat dels botons de paginació
                if (PaginaActual > 1) { btnPaginaAnterior.IsEnabled = true; lblSeguent.Foreground = Brushes.Navy; } else { btnPaginaAnterior.IsEnabled = false; lblSeguent.Foreground = Brushes.LightGray; }
                if ((NumPellicules > 4) && (PaginaActual * 4 < NumPellicules)) { btnPaginaSiguiente.IsEnabled = true; lblSeguent.Foreground = Brushes.Navy; } else { btnPaginaSiguiente.IsEnabled = false; lblSeguent.Foreground = Brushes.LightGray; }
            }
            catch (NullReferenceException ex)
            {
                MessageBox.Show(ex.Message, "VideoClub: " + ex.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
            catch (SystemException ex1)
            {
                MessageBox.Show(ex1.Message, "VideoClub: " + ex1.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
            catch (Exception ex2)
            {
                MessageBox.Show(ex2.Message, "VideoClub: " + ex2.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }

        //En funció del paràmetre rebut resolvem el seu significat
        public String ResoldreEstat(String Estat)
        {
            String StrEstat;

            switch (Estat)
            {
                case "A":
                    StrEstat = "NO DISPONIBLE";
                    break;
                case "R":
                    StrEstat = "RESERVADA";
                    break;
                case "D":
                    StrEstat = "DISPONIBLE";
                    break;
                default:
                    StrEstat = "NO DISPONIBLE";
                    break;
            }

            return StrEstat;
        }

        //En funció de l'estat possem un color de fons diferent
        public Brush ResoldreColor(String Estat)
        {
            Brush ColorEstat;

            switch (Estat)
            {
                case "A":
                    ColorEstat = Brushes.Red;
                    break;
                case "R":
                    ColorEstat = Brushes.Orange;
                    break;
                case "D":
                    ColorEstat = Brushes.GreenYellow;
                    break;
                default:
                    ColorEstat = Brushes.Red;
                    break;
            }

            return ColorEstat;
        }

        private void Window_Initialized(object sender, EventArgs e)
        {
            try
            {
                CarregarLlistaPellicules();
                CarregarPaginaPellicules();
            }
            catch (NullReferenceException ex)
            {
                MessageBox.Show(ex.Message, "VideoClub: " + ex.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
            catch (SystemException ex1)
            {
                MessageBox.Show(ex1.Message, "VideoClub: " + ex1.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
            catch (Exception ex2)
            {
                MessageBox.Show(ex2.Message, "VideoClub: " + ex2.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }

        private BitmapImage GetImatge(String RutaImatge)
        {
            try
            {
                const String ImgNoDisponibleFile = @"pack://application:,,,/WPFGestioClients;component/Images/ImatgeNoDisponible.jpg";
                String CurFile = "";

                if (RutaImatge != "") { CurFile = RutaImatge; }

                if (!File.Exists(CurFile)) { CurFile = ImgNoDisponibleFile; }
                BitmapImage logo = new BitmapImage();
                logo.BeginInit();
                logo.UriSource = new Uri(CurFile);
                logo.EndInit();
                return logo;
            }
            catch (NullReferenceException ex)
            {
                MessageBox.Show(ex.Message, "VideoClub: " + ex.Source, MessageBoxButton.OK, MessageBoxImage.Error);
                return null;
            }
            catch (SystemException ex1)
            {
                MessageBox.Show(ex1.Message, "VideoClub: " + ex1.Source, MessageBoxButton.OK, MessageBoxImage.Error);
                return null;
            }
            catch (Exception ex2)
            {
                MessageBox.Show(ex2.Message, "VideoClub: " + ex2.Source, MessageBoxButton.OK, MessageBoxImage.Error);
                return null;
            }
        }
    }
}