﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

using WPFGestioClients.WCFVideoClubServiceReference;

namespace WPFGestioClients
{
    /// <summary>
    /// Lógica de interacción para wndLogin.xaml
    /// </summary>
    public partial class wndLogin : Window
    {
        public wndLogin()
        {
            InitializeComponent();
            txtUsuari.Focus();
        }

        private void btnCancelar_Click(object sender, RoutedEventArgs e)
        {
            txtUsuari.Clear();
            txtContrasena.Clear();
            txtUsuari.Focus();
        }

        private void btnAcceptar_Click(object sender, RoutedEventArgs e)
        {
            Acceptar();
        }

        private void txtUsuari_KeyDown(object sender, KeyEventArgs e)
        {
            //Si el propietari/responsable possa un teclat en el terminal pot tancar el programa polsant la tecla "ESC"
            if (e.Key == Key.Escape)
            {
                this.Close();
            }
            
            if (e.Key==Key.Enter){
                txtContrasena.Focus();
            }
        }
    
        private void btnContrasena_Click(object sender, RoutedEventArgs e)
        {
            wndTeclatTactil windowTeclatTactil = new wndTeclatTactil();
            windowTeclatTactil.lblDescripcio.Content = "Introdueixi la seva contrasenya";
            windowTeclatTactil.ShowDialog();
            txtContrasena.Password = windowTeclatTactil.ValorIntroduit;
        }

        private void btnUsuari_Click(object sender, RoutedEventArgs e)
        {
            wndTeclatTactil windowTeclatTactil = new wndTeclatTactil();
            windowTeclatTactil.lblDescripcio.Content = "Introdueixi el seu codi d'usuari";
            windowTeclatTactil.ShowDialog();
            txtUsuari.Text = windowTeclatTactil.ValorIntroduit;
        }

        private void txtContrasena_KeyDown(object sender, KeyEventArgs e)
        {
            //Si el propietari/responsable possa un teclat en el terminal pot tancar el programa polsant la tecla "ESC"
            if (e.Key == Key.Escape)
            {
                this.Close();
            }

            if (txtContrasena.Password.Length > 0)
            {                
                if (e.Key == Key.Enter)
                {
                    Acceptar();
                }
            }
        }

        private void Acceptar()
        {
            this.Cursor = Cursors.Wait;

            Service1Client client = new Service1Client();

            int Pwd = 0;

            try
            {
                Pwd = int.Parse(txtContrasena.Password);                
            }
            catch
            {
                MessageBox.Show("La contrasenya introduida no correspon a un valor numèric", "Error", MessageBoxButton.OK, MessageBoxImage.Error);
                return;
            }

            int IdUsuari = client.AccesUsuari(txtUsuari.Text, Pwd);
            
            try
            {                
                if (IdUsuari==0)
                {
                    MessageBox.Show("Usuari i/o contrasenyta incorrectes", "Error", MessageBoxButton.OK, MessageBoxImage.Error);
                }
                else
                {
                    //Si l'usuari i contrasenya són les de l'administrador es dona la opció de tancar el programa de clients ja que els clients no poden tancar-lo (en teoria no dispossen de teclat)
                    if (txtUsuari.Text == "Administrador")
                    {
                        MessageBoxResult MsgResult;
                        MsgResult = MessageBox.Show("Identificat usuari Administrador. Desitja tancar el programa?", "WPFGestioClient", MessageBoxButton.YesNo, MessageBoxImage.Question);
                        if (MsgResult == MessageBoxResult.Yes) { this.Close(); };
                    }

                    wndSeleccionarCataleg windowSeleccionarCataleg = new wndSeleccionarCataleg(IdUsuari, 0);                    
                    windowSeleccionarCataleg.Show();
                    this.Close();
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "Error", MessageBoxButton.OK, MessageBoxImage.Error);
            }
            finally
            {
                client.Close();
                this.Cursor = Cursors.Arrow;
            }
        }

        private void txtUsuari_TextChanged(object sender, TextChangedEventArgs e)
        {
            if (this.txtUsuari.Text.Length >= 8 && this.txtContrasena.Password.Length > 0)
            {
                btnAcceptar.IsEnabled = true;
            }else{
                btnAcceptar.IsEnabled = false;
            }
        }

        private void txtContrasena_PasswordChanged(object sender, RoutedEventArgs e)
        {
            if (this.txtUsuari.Text.Length >= 8 && this.txtContrasena.Password.Length > 0)
            {
                btnAcceptar.IsEnabled = true;
            }else{
                btnAcceptar.IsEnabled = false;
            }
        }
    }
}