﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

using WPFGestioClients.WCFVideoClubServiceReference;

namespace WPFGestioClients
{
    /// <summary>
    /// Lógica de interacción para wndSeleccionarCataleg.xaml
    /// </summary>
    public partial class wndSeleccionarCataleg : Window
    {
        int CatalegSeleccionat;
        int IdUsuari;
        String NomUsuari;
        
        public wndSeleccionarCataleg(int paramIdUsuariActual, int paramCataleg)
        {
            Service1Client client = new Service1Client();

            InitializeComponent();
            IdUsuari = paramIdUsuariActual;
            CatalegSeleccionat = paramCataleg;
            NomUsuari = client.ObtenirNomUsuari(IdUsuari);
            lblNomUsuari.Content = "Nom d'usuari: " + NomUsuari.ToUpper();

            switch (CatalegSeleccionat)
            {
                case 2:
                    lblCatalegSeleccioant.Content = txtVenda.Text;                    
                    break;
                default:
                    CatalegSeleccionat = 1; //Per defecte, seleccionat catàleg de lloguer
                    lblCatalegSeleccioant.Content = txtLloguer.Text;
                    break;                
            }
        }

        private void btnLloguer_Click(object sender, RoutedEventArgs e)
        {
            CatalegSeleccionat = 1; //Catàleg de lloguer
            wndSeleccionarFormat windowFormat = new wndSeleccionarFormat(IdUsuari, CatalegSeleccionat, 0);
            windowFormat.lblNomUsuari.Content = this.lblNomUsuari.Content;
            windowFormat.Show();
            this.Close();
        }

        private void btnVenda_Click(object sender, RoutedEventArgs e)
        {
            CatalegSeleccionat = 2; //Catàleg de venda
            wndSeleccionarFormat windowFormat = new wndSeleccionarFormat(IdUsuari, CatalegSeleccionat, 0);
            windowFormat.lblNomUsuari.Content = this.lblNomUsuari.Content;
            windowFormat.Show();
            this.Close();
        }

        private void btnTancarSessio_Click(object sender, RoutedEventArgs e)
        {
            wndLogin windowLoging = new wndLogin();
            windowLoging.Show();
            this.Close();
        }

        private void btnSeguent_Click(object sender, RoutedEventArgs e)
        {
            this.Cursor = Cursors.Wait;

            wndSeleccionarFormat windowFormat = new wndSeleccionarFormat(IdUsuari, CatalegSeleccionat, 0);
            windowFormat.lblNomUsuari.Content = this.lblNomUsuari.Content;
            windowFormat.Show();

            this.Cursor = Cursors.Arrow;

            this.Close();
        }       
    }
}
