﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

using WPFGestioClients.WCFVideoClubServiceReference;

namespace WPFGestioClients
{
    /// <summary>
    /// Lógica de interacción para wndSeleccionarFormat.xaml
    /// </summary>
    public partial class wndSeleccionarFormat : Window
    {
        int IdUsuari;
        int CatalegSeleccionat;
        int FormatSeleccionat;
        
        public wndSeleccionarFormat(int paramIdUsuariActual, int paramCatalegSeleccionat, int paramFormatSeleccionat)
        {
            InitializeComponent();
            IdUsuari = paramIdUsuariActual;
            CatalegSeleccionat = paramCatalegSeleccionat;
            if (paramFormatSeleccionat != 0) { FormatSeleccionat = paramFormatSeleccionat; }                                     
        }

        private void btnSeguent_Click(object sender, RoutedEventArgs e)
        {
            this.Cursor = Cursors.Wait;

            wndSeleccionarGenere windowSeleccionarGenere = new wndSeleccionarGenere(IdUsuari, CatalegSeleccionat, FormatSeleccionat, 0);
            windowSeleccionarGenere.lblNomUsuari.Content = this.lblNomUsuari.Content;
            windowSeleccionarGenere.Show();

            this.Cursor = Cursors.Arrow;

            this.Close();
        }

        private void btnTancarSessio_Click(object sender, RoutedEventArgs e)
        {
            wndLogin windowLoging = new wndLogin();
            windowLoging.Show();
            this.Close();
        }
        
        private void btnAnterior_Click(object sender, RoutedEventArgs e)
        {
            wndSeleccionarCataleg windowSeleccionarCataleg = new wndSeleccionarCataleg(IdUsuari, CatalegSeleccionat);
            windowSeleccionarCataleg.Show();
            this.Close();
        }

        // Mètode que carrega el dataGridFormats amb els formats que hi ha registrats a la BD
        private void CarregarDataGridFormats()
        {
            Service1Client client = new Service1Client();

            try
            {
                dtgFormats.ItemsSource = client.ObtenirFormats(1);

                if (dtgFormats.Items.Count > 0) { 
                    dtgFormats.SelectedIndex = 0;

                    FORMAT SelFormat = (FORMAT)dtgFormats.SelectedItem;

                    if (SelFormat != null) { FormatSeleccionat = SelFormat.ID_FORMAT; }
                    SelFormat = null;
                }
            }
            catch (NullReferenceException ex)
            {
                MessageBox.Show(ex.Message, "VideoClub: " + ex.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
            catch (SystemException ex1)
            {
                MessageBox.Show(ex1.Message, "VideoClub: " + ex1.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
            catch (Exception ex2)
            {
                MessageBox.Show(ex2.Message, "VideoClub: " + ex2.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }

        private void Window_Initialized(object sender, EventArgs e)
        {
            try
            {
                CarregarDataGridFormats();
            }
            catch (NullReferenceException ex)
            {
                MessageBox.Show(ex.Message, "VideoClub: " + ex.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
            catch (SystemException ex1)
            {
                MessageBox.Show(ex1.Message, "VideoClub: " + ex1.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
            catch (Exception ex2)
            {
                MessageBox.Show(ex2.Message, "VideoClub: " + ex2.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }

        private void dtgFormats_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            FORMAT SelFormat = (FORMAT)dtgFormats.SelectedItem;

            if (SelFormat != null)
            {
                FormatSeleccionat = SelFormat.ID_FORMAT;
            }

            SelFormat = null;
        }
    }
}