﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

using WPFGestioClients.WCFVideoClubServiceReference;

namespace WPFGestioClients
{
    /// <summary>
    /// Lógica de interacción para wndSeleccionarGenere.xaml
    /// </summary>
    public partial class wndSeleccionarGenere : Window
    {
        int IdUsuari;
        int CatalegSeleccionat;
        int FormatSeleccionat;        
        int GenereSeleccionat;

        public wndSeleccionarGenere(int paramIdUsuariActual, int paramCatalegSeleccionat, int paramFormatSeleccionat, int paramGenereSeleccionat)
        {
            InitializeComponent();
            
            IdUsuari = paramIdUsuariActual;
            CatalegSeleccionat = paramCatalegSeleccionat;
            FormatSeleccionat = paramFormatSeleccionat;            
            GenereSeleccionat = paramGenereSeleccionat;
        }
        
        private void btnTancarSessio_Click(object sender, RoutedEventArgs e)
        {
            wndLogin windowLoging = new wndLogin();
            windowLoging.Show();
            this.Close();
        }

        private void btnSeguent_Click(object sender, RoutedEventArgs e)
        {
            this.Cursor = Cursors.Wait;

            wndCatalog windowCatalog = new wndCatalog(IdUsuari, CatalegSeleccionat, FormatSeleccionat, GenereSeleccionat);
            windowCatalog.Show();
            windowCatalog.lblNomUsuari.Content = this.lblNomUsuari.Content;

            this.Cursor = Cursors.Arrow;

            this.Close();
        }

        // Mètode que carrega el dataGridGèneres amb els gèneres que hi ha registrats a la BD
        private void CarregarDataGridGeneres()
        {
            Service1Client client = new Service1Client();

            try
            {
                dtgGeneres.ItemsSource = client.ObtenirGeneres(1);                
            }
            catch (NullReferenceException ex)
            {
                MessageBox.Show(ex.Message, "VideoClub: " + ex.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
            catch (SystemException ex1)
            {
                MessageBox.Show(ex1.Message, "VideoClub: " + ex1.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
            catch (Exception ex2)
            {
                MessageBox.Show(ex2.Message, "VideoClub: " + ex2.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }

        private void Window_Initialized(object sender, EventArgs e)
        {
            try
            {
                CarregarDataGridGeneres();                
            }
            catch (NullReferenceException ex)
            {
                MessageBox.Show(ex.Message, "VideoClub: " + ex.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
            catch (SystemException ex1)
            {
                MessageBox.Show(ex1.Message, "VideoClub: " + ex1.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
            catch (Exception ex2)
            {
                MessageBox.Show(ex2.Message, "VideoClub: " + ex2.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }

        private void chkTotsGeneres_Click(object sender, RoutedEventArgs e)
        {
            if (chkTotsGeneres.IsChecked == true)
            {
                GenereSeleccionat = 0;
                dtgGeneres.IsEnabled = false;
            }else{
                dtgGeneres.IsEnabled = true;

                if (dtgGeneres.Items.Count > 0)
                {
                    dtgGeneres.SelectedIndex = 0;                    
                }else{
                    GenereSeleccionat = 0;
                    chkTotsGeneres.IsChecked = true;
                    dtgGeneres.IsEnabled = false;
                }
            }
        }

        private void dtgGeneres_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            GENERE SelGenere = (GENERE)dtgGeneres.SelectedItem;

            if (SelGenere != null)
            {
                GenereSeleccionat = SelGenere.ID_GENERE;
            }

            SelGenere = null;
        }

        private void btnAnterior_Click(object sender, RoutedEventArgs e)
        {
            wndSeleccionarFormat windowSeleccionarCataleg = new wndSeleccionarFormat(IdUsuari, CatalegSeleccionat, FormatSeleccionat);
            windowSeleccionarCataleg.Show();
            this.Close();
        }
    }
}