﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

using WPFGestioInterna.WCFVideoClubServiceReference;

namespace WPFGestioInterna
{
    /// <summary>
    /// Lógica de interacción para wndSearchUser.xaml
    /// </summary>
    public partial class wndAcceptReserva : Window
    {
        Service1Client client = new Service1Client();
        VISTA_RESERVES_ACTIVES reservaActual = new VISTA_RESERVES_ACTIVES();

        //Comencem el procés per acceptar una reserva i passar-la a lloguer/venda        
        public wndAcceptReserva(VISTA_RESERVES_ACTIVES paramReserva)
        {
            InitializeComponent();
            reservaActual = paramReserva;
            CarregarDadesReserva(reservaActual);
            btnAcceptar.Focus();
        }

        private void btnAcceptar_Click(object sender, RoutedEventArgs e)
        {
            if (client.AcceptarReserva(reservaActual.ID_RESERVA) == true)
            {
                MessageBox.Show("La reserva s'ha acceptat correctament.", "Reserva acceptada", MessageBoxButton.OK, MessageBoxImage.Information);         
            }else{
                MessageBox.Show("No s'ha pogut acceptar la reserva.", "Reserva cancel.lada", MessageBoxButton.OK, MessageBoxImage.Error);
            }

            this.Close();
        }

        private void btnCancelar_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

        private void CarregarDadesReserva(VISTA_RESERVES_ACTIVES paramReservaActual)
        {
            if (paramReservaActual != null)
            {
                txtDNI.Text = paramReservaActual.DNI;
                txtNom.Text = paramReservaActual.NOM_USUARI;
                txtPelicula.Text = paramReservaActual.TITOL;
                txtFormat.Text = paramReservaActual.FORMAT;
                txtDataReserva.Text = paramReservaActual.DATA_RESERVA.ToString();

                switch (paramReservaActual.TIPUS_RESERVA) 
                {
                    case 1: //Lloguer
                        txtTipusReserva.Text = "LLOGUER";
                        break;
                    case 2: //Venda
                        txtTipusReserva.Text = "VENDA";
                        lblPreuVenda.Visibility = Visibility.Visible;
                        txtPreu.Visibility = Visibility.Visible;
                        txtPreu.Text = paramReservaActual.PREU_VENDA.ToString();
                        break;
                }
            }
        }        
    }
}