﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using WPFGestioInterna.WCFVideoClubServiceReference;

namespace WPFGestioInterna
{
    /// <summary>
    /// Lógica de interacción para wndAddCopia.xaml
    /// </summary>
    public partial class wndAddCopia : Window
    {
        TMP_COPIES unitatActual;
        Service1Client client = new Service1Client();
        List<FORMAT> LlistaFormats = new List<FORMAT>();
        int IdPelliculaActual;
        
        //Donem d'alta/editem copies de pel.lícula (podem oferir mes d'una copia de la mateixa pel.lícula)
        public wndAddCopia(TMP_COPIES paramUnitat, int paramIdPellicula)
        {
            unitatActual = paramUnitat;
            IdPelliculaActual = paramIdPellicula;
            InitializeComponent();
            CarregarDataGridFormats(1);

            if (paramUnitat != null)
            {
                CarregarDadesArticle(paramUnitat);
            }
        }

        private void CarregarDadesArticle(TMP_COPIES paramArticle)
        {
            if (paramArticle.LLOGUER == 1) { optLloguer.IsChecked = true; }else{ optLloguer.IsChecked = false; }
            if (paramArticle.VENDA == 1) { 
                optVenda.IsChecked = true;
                txtPreuVenda.Text = paramArticle.PREU_VENDA.ToString();
            } else {
                optVenda.IsChecked = false; 
            }

            int IdFormatUnitatActual = client.ObtenirFormatUnitat(paramArticle.ID_UNITAT);

            Boolean Trobat = false;

            if (IdFormatUnitatActual != 0)
            {
                for (int i = 0; i < LlistaFormats.Count; i++)
                {
                    if (LlistaFormats[i].ID_FORMAT == IdFormatUnitatActual)
                    {
                        dtgFormats.SelectedIndex = i;
                        Trobat = true;
                        break;
                    }
                }

                if (!Trobat)
                { 
                    FORMAT newFormat = new FORMAT();
                    newFormat.ID_FORMAT = IdFormatUnitatActual;
                    newFormat.FORMAT1 = client.ObtenirFormat(IdFormatUnitatActual);
                    LlistaFormats.Add(newFormat);

                    dtgFormats.ItemsSource = null;
                    dtgFormats.Items.Clear();
                    dtgFormats.ItemsSource = LlistaFormats;
                    if (dtgFormats.Items.Count > 0) { dtgFormats.SelectedIndex = 0; }
                }
            }            
        }

        private void btnAcceptar_Click(object sender, RoutedEventArgs e)
        {
            if (unitatActual != null) //Editar copia
            { 
                if (optLloguer.IsChecked==true) { unitatActual.LLOGUER = 1; }else{ unitatActual.LLOGUER = 0; }
                
                if (optVenda.IsChecked==true) { 
                    unitatActual.VENDA = 1; 
                    Double d;
                    if (Double.TryParse(txtPreuVenda.Text, out d)) { unitatActual.PREU_VENDA = Double.Parse(txtPreuVenda.Text); }
                }else{ 
                    unitatActual.VENDA = 0; 
                    unitatActual.PREU_VENDA = 0;
                }

                FORMAT SelFormat = (FORMAT)dtgFormats.SelectedItem;

                if (SelFormat != null)
                {
                    unitatActual.ID_FORMAT = SelFormat.ID_FORMAT;
                    unitatActual.FORMAT = SelFormat.FORMAT1;

                    client.ModificarCopiaPelliculaTemporal(unitatActual.ID_TMP, unitatActual);
                }else{
                    MessageBox.Show("Ha de seleccionar 1 format", this.Title, MessageBoxButton.OK, MessageBoxImage.Error);
                }                
            }else{ //Nova copia
                TMP_COPIES novaCopia = new TMP_COPIES();

                //Si la pel.lícula encara no esta creada Id=0
                novaCopia.ID_PELLICULA = IdPelliculaActual;
                //Com que es una copia nova Id = 0
                novaCopia.ID_UNITAT = 0;

                if (optLloguer.IsChecked==true) { novaCopia.LLOGUER = 1; }else{ novaCopia.LLOGUER = 0; }
                
                if (optVenda.IsChecked==true) { 
                    novaCopia.VENDA = 1; 
                    Double d;
                    if (Double.TryParse(txtPreuVenda.Text, out d)) { novaCopia.PREU_VENDA = Double.Parse(txtPreuVenda.Text); }
                }else{ 
                    novaCopia.VENDA = 0; 
                    novaCopia.PREU_VENDA = 0;
                }

                FORMAT SelFormat = (FORMAT)dtgFormats.SelectedItem;

                if (SelFormat != null)
                {
                    novaCopia.ID_FORMAT = SelFormat.ID_FORMAT;
                    novaCopia.FORMAT = SelFormat.FORMAT1;

                    client.AfegirCopiaPelliculaATemporal(novaCopia);
                }else{
                    MessageBox.Show("Ha de seleccionar 1 format", this.Title, MessageBoxButton.OK, MessageBoxImage.Error);
                }
            }

            this.Close();
        }

        private void btnCancelar_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

        private void optVenda_Checked(object sender, RoutedEventArgs e)
        {
            if (txtPreuVenda != null)
            {
                txtPreuVenda.IsEnabled = true;
                txtPreuVenda.Text = "";
            }
        }

        private void CarregarDataGridFormats(int TipusConsulta)
        {
            try
            {
                this.Cursor = Cursors.Wait;
                LlistaFormats.Clear();
                LlistaFormats = client.ObtenirFormats(TipusConsulta).ToList();
                dtgFormats.ItemsSource = LlistaFormats;
                if (dtgFormats.Items.Count > 0) { dtgFormats.SelectedIndex = 0; }

                this.Cursor = Cursors.Arrow;
            }
            catch (NullReferenceException ex)
            {
                MessageBox.Show(ex.Message, "VideoClub: " + ex.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
            catch (SystemException ex1)
            {
                MessageBox.Show(ex1.Message, "VideoClub: " + ex1.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
            catch (Exception ex2)
            {
                MessageBox.Show(ex2.Message, "VideoClub: " + ex2.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }
    }
}