﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using WPFGestioInterna.WCFVideoClubServiceReference;

namespace WPFGestioInterna
{
    /// <summary>
    /// Lógica de interacción para wndAddGenere.xaml
    /// </summary>
    public partial class wndAddGenere : Window
    {
        Service1Client client = new Service1Client();     

        public wndAddGenere()
        {
            InitializeComponent();
            txtGenere.Focus();
        }

        private void btnAcceptar_Click(object sender, RoutedEventArgs e)
        {
            int IdGenere = client.ExisteixGenere(txtGenere.Text);

            if (IdGenere != 0)
            {
                if (MessageBox.Show("Ya existeix en la Base de Dades un gènere amb el mateix nom. Desitja tornar-lo a activar si no ho està?", this.Title, MessageBoxButton.YesNo, MessageBoxImage.Question) == MessageBoxResult.Yes)
                {
                    client.ActivarGenere(IdGenere);
                    this.Close();
                }
                else
                {
                    txtGenere.Background = Brushes.LightCoral;
                }
            }
            else
            {
                client.AltaGenere(txtGenere.Text);
                this.Close();
            }       
        }

        private void btnCancelar_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

        private void txtGenere_TextChanged(object sender, TextChangedEventArgs e)
        {
            if (txtGenere.Text.Length > 0) { btnAcceptar.IsEnabled = true; } else { btnAcceptar.IsEnabled = false; }
        }
    }
}
