﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

using WPFGestioInterna.WCFVideoClubServiceReference;

namespace WPFGestioInterna
{
    /// <summary>
    /// Lógica de interacción para wndSearchUser.xaml
    /// </summary>
    public partial class wndDevolucio : Window
    {
        Service1Client client = new Service1Client();
        VISTA_LLOGUERS_ACTIUS lloguerActual = new VISTA_LLOGUERS_ACTIUS();
        Double preuLloguer = 0;

        public wndDevolucio(VISTA_LLOGUERS_ACTIUS paramLloguer)
        {
            InitializeComponent();
            lloguerActual = paramLloguer;
            CarregarDadesLloguer(lloguerActual);
            btnAcceptar.Focus();
        }

        private void btnAcceptar_Click(object sender, RoutedEventArgs e)
        {
            if (client.TornarArticleLlogat(lloguerActual.ID_LLOGUER, preuLloguer) == true)
            {
                MessageBox.Show("L'article s'ha tornat correctament.", "Article retornat", MessageBoxButton.OK, MessageBoxImage.Information);         
            }else{
                MessageBox.Show("No s'ha pogut acceptar la reserva.", "Tornar article cancel.lat", MessageBoxButton.OK, MessageBoxImage.Error);
            }

            this.Close();
        }

        private void btnCancelar_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

        //Carreguem algunes de les principals dades del lloguer i calculem el preu
        private void CarregarDadesLloguer(VISTA_LLOGUERS_ACTIUS paramLloguerActual)
        {
            if (paramLloguerActual != null)
            {
                txtDNI.Text = paramLloguerActual.DNI;
                txtNom.Text = paramLloguerActual.NOM_USUARI;
                txtPelicula.Text = paramLloguerActual.TITOL;
                txtFormat.Text = paramLloguerActual.FORMAT;
                txtDataReserva.Text = paramLloguerActual.DATA_LLOGUER.ToString();
                preuLloguer = client.CalculaPreuLloguer(lloguerActual.DATA_LLOGUER, DateTime.Now);
                txtPreu.Text = preuLloguer.ToString() + "€";                               
            }
        }        
    }
}