﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

using WPFGestioInterna.WCFVideoClubServiceReference;

namespace WPFGestioInterna
{
    /// <summary>
    /// Lógica de interacción para wndSearchUser.xaml
    /// </summary>
    public partial class wndSearchUser : Window
    {
        Service1Client client = new Service1Client();
        USUARI usuariTrobat = new USUARI();

        //propiedad
        public USUARI SearchedUser { get; set; }
        
        public wndSearchUser()
        {
            InitializeComponent();
            txtCodiUsuari.Focus();
        }

        private void btnAcceptar_Click(object sender, RoutedEventArgs e)
        {
            SearchedUser = usuariTrobat;            
            this.Close();
        }

        private void btnCancelar_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

        private void btnBuscar_Click(object sender, RoutedEventArgs e)
        {
            BuscarUsuari();
        }

        private void txtCodiUsuari_TextChanged(object sender, TextChangedEventArgs e)
        {
            if (txtCodiUsuari.Text.Length >= 8)
            {
                btnBuscar.IsEnabled = true;
            }else{
                btnBuscar.IsEnabled = false;
            }
        }

        private void txtCodiUsuari_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Enter)
            {
                BuscarUsuari();
            }
        }

        private void BuscarUsuari()
        {
            this.Cursor = Cursors.Wait;

            usuariTrobat = client.BuscarUsuari(txtCodiUsuari.Text);

            if (usuariTrobat != null)
            {
                txtDNI.Text = usuariTrobat.DNI;
                txtNom.Text = usuariTrobat.NOM + ' ' + usuariTrobat.COGNOM1 + ' ' + usuariTrobat.COGNOM2;
                btnAcceptar.IsEnabled = true;
            }
            else
            {
                MessageBox.Show("No s'ha trobat cap usuari amb el codi d'usuari " + txtCodiUsuari.Text, this.Title, MessageBoxButton.OK, MessageBoxImage.Error);
                txtCodiUsuari.Focus();
                btnCancelar.IsEnabled = false;
            }

            this.Cursor = Cursors.Arrow;
        }
    }
}